#ifndef LIBSARIA_PLAYLIST_STACK_H
#define LIBSARIA_PLAYLIST_STACK_H

#include <playlist.h>

#define MAX_PLAYLISTS 10

enum AutoPauseType {
	PS_NONE,
	PS_AFTER_N,
};

namespace libsaria
{

	namespace deck
	{

		void garbage_collect();

		void next();
		void prev();
		void init();

		Playlist *new_playlist(list<Track *> &, unsigned int, bool);
		void delete_playlist(Playlist *);
		unsigned int move_playlist(Playlist *, unsigned int);
		unsigned int size();

		Playlist *get_playlist(unsigned int);
		unsigned int get_playlist_index(Playlist *);
		Playlist *get_recent_plist();

		void list_recent(Track *);
		void track_removed(Track *);

		void set_pause_type(AutoPauseType, unsigned int);
		AutoPauseType get_pause_type();
		unsigned short get_pause_count();
	};

}; /* Namespace: libsaria */

#endif /* LIBSARIA_PLAYLIST_STACK_H */
